Picture of Jack Roach
Alert - Changes to Boroondara's Residential Zones - More Growth
by Jack Roach - Sunday, 6 April 2014, 10:24 AM
 

An Advisery Committee has been appointed to consider changes to the new residential zones which comprise  extensions to provide more Growth Zones followinga request from Planning Minister Matthew Guy.

Many of the new Growth Zones are around Boroondara's neighbourhood shopping centres but some have been applied to main roads such as Canterbury Rd.

Read the rest of this topic(543 words)...
 
Picture of Jack Roach
Suggestions for submissions to the Growth Zones Advisory Committee
by Jack Roach - Sunday, 6 April 2014, 10:18 AM
 

Many Residents have sought assistance in preparing their submission to the Advisory Committee so we have complied a list of suggestions.

Click on  the attachment above.

Please use these as a guide and make your submission in your own words.Do not just copy as the Committee will disregard any submission that appears to be pro-forma.

 
Picture of Jack Roach
Victoria grows by 100,000 a year.
by Jack Roach - Monday, 31 March 2014, 01:53 PM
 

The rate of growth seems to increase every year and most of the new arrivals end up wanting to live in Melbourne. No wonder we can't keep up with all the infrastructure upgrades necessary to cope with this influx. Melbourne's population is set to double in the next 37 years to over 8 million. Yes double, and we wonder how long we can absorb all this growth.

Read the rest of this topic(430 words)...
 
Picture of Jack Roach
More on Plan Melbourne and the New Residential Zones
by Jack Roach - Saturday, 1 February 2014, 10:39 AM
 
"Plan Melbourne" has been criticized by the planning expert, Professor Roz Hansen, hand picked by the government to draw up and provide advice on the strategy. We criticized her appointment because she was one of this city's planners who were advocating unlocking the potential in the existing residential areas for massive development as a response to the record rate of our population growth which, on a population basis, is well above all other OECD countries.Read the rest of this topic(645 words)...
 
Picture of Jack Roach
ARE OUR GOVERNMENTS REALLY IN CHARGE ?
by Jack Roach - Friday, 10 January 2014, 12:48 PM
 
Do our governments really govern us? Or do they respond more to big business which in reality controls wealth creation, job creation and growth.

The attached blog from Kelvin Thomson MP makes the point that in a deregulated economy politicians haven't controlled interest rates, the exchange rates, wages or prices for decades.Read the rest of this topic(137 words)...
 
Picture of Jack Roach
PLANMELBOURNE, BRAG's SUBMISSION
by Jack Roach - Tuesday, 17 December 2013, 02:42 PM
 
The main message in BRAG's submission is that"if you double the population you have to double the infrastructure".
With Melbourne's population set to double by 2050 you would think that any plan for the future of Melbourne would contain a set of objectives and strategies to update and build the necessary infrastructure but, apart from the extension to the eastern freeway and some motherhood statements,
there is very little in the way of any real planning.Read the rest of this topic(122 words)...
 
Picture of Jack Roach
More on the New Residential Zones
by Jack Roach - Tuesday, 17 December 2013, 02:40 PM
 
Boroondara Council has lodged its zoning proposals
with the Minister for approval but, in the meantime the development industry has been very active in lobbying against the new zones screaming that they will be locked out of the residential suburbs.

In the case of Boroondara's proposal they are right, for our council has identified about 70-80% of Boroondara as Neighbourhood Residential Zone and the rest as General Residential Zone with a small section as Residential Growth Zone(partly as a result of our lobbying and the fact that most of Boroondara is residential).Read the rest of this topic(262 words)...
 
Picture of Jack Roach
PLANMELBOURNE
by Jack Roach - Friday, 18 October 2013, 04:29 PM
 
The new planning blueprint just released called "Planmelbourne" will replace "Melbourne 2030. The document identifies nine strategic principles each with a set of "directions" to cope with projected population growth of nearly 8.5 million in Victoria by 2051 with about 6.5 million in Melbourne.

The document has 176 pages with a considerable amount of information so we have briefly summarized
the main points in the attachment above.Read the rest of this topic(106 words)...
 
Picture of Jack Roach
New Residential Zones Approved for Boroondara
by Jack Roach - Wednesday, 18 September 2013, 09:52 AM
 
For years BRAG has been lobbying both the Minister for Planning and our council to "protect what we love about our neighbourhood". The Minister agreed to consider a new zoning system that would rely on neighbourhood character as a means of restricting what could be built and what could not.

Boroondara Council quickly conducted a survey of the municipality to identify precinct characteristics and this has now been used to map out new residential zones.Read the rest of this topic(206 words)...
 
Picture of Jack Roach
Unsellable apartments in Melbourne.
by Jack Roach - Monday, 19 August 2013, 01:28 PM
 
Further to the post below we attach an article from The Age -19 August 13- in which a 15 square metre apartment in Carlton listed for sale at $165.000 has been pulled off the market because the banks won't accept it as security. We don't blame them, who would want to buy one?

There are many of these apartments being built by overseas investors to let to students and 457 Visa holders.Read the rest of this topic(152 words)...
 
Skip Search forums

Search forums

Search
Advanced searchHelp with Search

Web Hosts Australia

Thanks to Fluccs/ Web Hosts Australia for supporting community groups with free hosting of our website.


NO BRAG FUNDS are used to create or maintain this website. The Site is created and managed by Stephen Digby with contributions from a wide range of BRAG members.


BOROONDARA RESIDENTS ACTION GROUP INC PO Box 1034, Camberwell 3124 is a Registered Association A0045624J